跳转到内容

Get a list of browser kernel versions

Request

Return the published browser kernel and UA major versions.

The request body is optional and every field is optional. Defaults are Windows (1), 64-bit (1), and x86 (0). Only published kernels are returned.

Security
OpenApiBearer
Bodyapplication/json
systemTypeinteger(OperatingSystem)

Operating system:

  • 1 — Windows
  • 2 — macOS
  • 3 — Android
  • 4 — iOS
  • 5 — Linux
Enum:12345
Example:1
systemBitTypeinteger(SystemBitType)

System bitness. Defaults to 1:

  • 0 — 32-bit
  • 1 — 64-bit
Default:1
Enum:01
Example:1
architectureinteger(Architecture)

CPU architecture. Defaults to 0:

  • 0 — x86
  • 1 — ARM
Default:0
Enum:01
Example:0
POST
/env/advanced/ua/versions
curl -i -X POST \
  https://api.morelogin.com/env/advanced/ua/versions \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "systemType": 1,
    "systemBitType": 1,
    "architecture": 0
  }'

Responses

Success

Bodyapplication/json
codeintegerrequired

Return result code. 0 means success; other codes indicate exceptions.

Example:0
msgstring or nullrequired

Error message. Usually null on success.

Example:null
requestIdstring

Operation request ID. This field may be present when the request passes through the API gateway.

Example:"1d4f3ea968664593860b94b35d4ebf5e"
dataArray of objectsrequired
Response
{ "code": 0, "msg": null, "requestId": "1d4f3ea968664593860b94b35d4ebf5e", "data": [ {} ] }